Skip to main content
POST
/
tables
/
{tableId}
/
columns
/
formula
/
validate
Error
A valid request URL is required to generate request examples
{
  "valid": true,
  "result_type": "NUMERIC",
  "dependencies": [
    {}
  ],
  "postgresql_expression": "<string>",
  "error": "<string>",
  "error_position": 123
}

Authorizations

Authorization
string
header
required

Enter token in format (Bearer )

Path Parameters

tableId
string<uuid>
required

Table ID

Body

application/json
expression
string
required

Formula expression to validate

Example:

"base_amount * (1 + tax_rate)"

Response

200 - application/json

Formula validation result

valid
boolean
Example:

true

result_type
string | null
Example:

"NUMERIC"

dependencies
object[]
postgresql_expression
string | null
error
string | null
error_position
integer | null